Data - Retrieve Performance Data

Belirtilen kapsam/parametreler için performans verilerini alır.

POST http://<Servername>/OperationsManager/data/performance

İstek Gövdesi

Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"

Name Tür Description
duration

integer

Süre

id

string

performanceRequest Kimliği

performanceCounters

object[]

performans Sayaçları

Yanıtlar

Name Tür Description
200 OK

PerformanceResponse

TAMAM. Performans verileri başarıyla alındı.

Media Types: "application/json", "text/json", "application/xml", "text/xml"

Örnekler

RetrievePerformanceData

Örnek isteği

POST http://<Servername>/OperationsManager/data/performance

Örnek yanıt

{
  "datasets": [
    {
      "data": {},
      "id": "10a8e3ed-27d7-e860-d22f-c6ea7820883824"
    }
  ],
  "legends": {
    "tableColumns": [
      {
        "field": "performanceobject",
        "header": "Performance object",
        "type": null,
        "hidden": false
      },
      {
        "field": "performancecounter",
        "header": "Performance counter",
        "type": null,
        "hidden": false
      },
      {
        "field": "performanceinstance",
        "header": "Performance instance",
        "type": null,
        "hidden": false
      },
      {
        "field": "averagevalue",
        "header": "Average value",
        "type": null,
        "hidden": false
      },
      {
        "field": "maximumvalue",
        "header": "Maximum value",
        "type": null,
        "hidden": false
      },
      {
        "field": "minimumvalue",
        "header": "Minimum value",
        "type": null,
        "hidden": false
      },
      {
        "field": "lastvalue",
        "header": "Last value",
        "type": null,
        "hidden": false
      },
      {
        "field": "path",
        "header": "Path",
        "type": null,
        "hidden": false
      },
      {
        "field": "target",
        "header": "Target",
        "type": null,
        "hidden": false
      }
    ],
    "rows": [
      {
        "performanceobject": "ManagementGroupAlerts",
        "performancecounter": "AlertsCount",
        "performanceinstance": "Total",
        "averagevalue": 0,
        "maximumvalue": -1.7976931,
        "minimumvalue": 1.79769313,
        "lastvalue": 0,
        "path": "",
        "target": "All Management Servers Resource Pool",
        "id": "10a8e3ed-27d7-e860-d22f-c6ea7820883824"
      }
    ]
  }
}

Tanımlar

Name Description
GraphData
PerformanceRequest
PerformanceResponse
TableColumn
TableDataResponse

GraphData

Name Tür Description
data

object

id

string

PerformanceRequest

Name Tür Description
duration

integer

Süre

id

string

performanceRequest Kimliği

performanceCounters

object[]

performans Sayaçları

PerformanceResponse

Name Tür Description
datasets

GraphData[]

legends

TableDataResponse

TableColumn

Name Tür Description
field

string

Sütunun Adı

header

string

Sütunun üst bilgisi

hidden

boolean

Sütun gizli mi?

type

string

Sütunun Türü

TableDataResponse

Name Tür Description
rows

object[]

Tablo Veri Satırları

tableColumns

TableColumn[]

Veri tablo sütunları